import Resizer, { IConfig } from "./resizer";
import Sizer from "./sizer";
export default class ResizeItem<C extends IConfig> {
    readonly resizer: Resizer<C, any>;
    readonly sizer: Sizer;
    readonly container?: HTMLElement | undefined;
    readonly domNode: HTMLElement;
    protected readonly id: string | null;
    protected reverse: boolean;
    constructor(handle: HTMLElement, resizer: Resizer<C, any>, sizer: Sizer, container?: HTMLElement | undefined);
    private copyWith;
    private advance;
    next(): ResizeItem<C> | undefined;
    previous(): ResizeItem<C> | undefined;
    size(): number;
    offset(): number;
    start(): void;
    finish(): void;
    getSize(): string;
    setRawSize(size: string): void;
    setSize(size: number): void;
    clearSize(): void;
    first(): ResizeItem<C> | undefined;
    last(): ResizeItem<C> | undefined;
}
